#! /usr/local/bin/rexx

/* BSF_JavaSwingFileDialog.rex */
  call SysCls
  frame = .bsf~new('javax.swing.JFrame','Frame')
  fchooser = .bsf~new('javax.swing.JFileChooser')

  fchooser~setCurrentDirectory( .bsf~new("java.io.File", ".") )

  filter=.bsf~new('RgfFilter', '*bmp;*gif')  -- create a new filter
  filter~~addExtension('bmp')~~addExtension('gif')
  fchooser~setFileFilter(filter)              -- set the filter to fileDialog

  filter=.bsf~new('RgfFilter', '*rex;*java')  -- create a new filter
  filter~~addExtension('rex')~~addExtension('java')
  fchooser~setFileFilter(filter)              -- set the filter to fileDialog

  myfile = fchooser~showOpenDialog(frame)
  if myfile = 0 then
      do
        say 'Fully Qualified File =' fchooser~getSelectedFile~getPath
        say 'Just File Name       =' fchooser~getSelectedFile~getName
     end
  else
     say 'You Clicked Cancel'

::requires bsf.cls
